<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.rhzf.jxcs.mapper.JxcsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="jxcsResultMap" type="org.springblade.modules.rhzf.jxcs.entity.JxcsEntity">
        <result column="id" property="id"/>
        <result column="fw_id" property="fwId"/>
        <result column="csmc" property="csmc"/>
        <result column="sffr" property="sffr"/>
        <result column="dwlb" property="dwlb"/>
        <result column="dz" property="dz"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="tyxydm" property="tyxydm"/>
    </resultMap>


    <select id="selectJxcsPage" resultMap="jxcsResultMap">
        select * from rhzf_jxcs where is_deleted = 0
    </select>


    <select id="exportJxcs" resultType="org.springblade.modules.rhzf.jxcs.excel.JxcsExcel">
        SELECT * FROM rhzf_jxcs ${ew.customSqlSegment}
    </select>

    <select id="getJxcsList" resultType="org.springblade.modules.rhzf.jxcs.vo.JxcsVO">
        SELECT
            *
        FROM
            rhzf_jxcs
        WHERE
            is_deleted = 0
          AND fw_id = #{params.fwId} :: int8
    </select>
</mapper>
